package cache

import (
	"q5"
	"math/rand"
)

type nft struct {
	refreshTick int64
	rawData string
	jsonData interface{}
}

func (this *nft) GetRawData() string {
	return this.rawData
}

func (this *nft) GetJsonData() interface{} {
	return this.jsonData
}

func newNft() *nft {
	p := new(nft)
	p.refreshTick = q5.GetTickCount() + rand.Int63n(3000)
	return p
}
